package com.tencent.tws.api;

import com.tencent.tws.api.TwsAuthApiResult;

/*ITwsAuthService, the service to reg the third app
* 
* all third app must call the service's asyncRegApp method before use any other tws api service
* such as IWeChatApiService.
* For example: a third app must call asyncRegApp and wait for the broadcast which notify the reg result.
* Once reg suc, then the third app can call other tws api service.
*
* Result: the caller will recv the broadcast 
* 		  BroadcastDef.TWS_AUTH_REGAPP_RESULT_ACTION("Action.Tws.AuthRegAppResult")
* 		  which represents the reg result.
* 		  The broadcast contents the extra Parcel BroadcastDef.RESULT("Result"), 
*		  the TwsAuthRegAppResultInfo.
*/
interface ITwsAuthService
{
	TwsAuthApiResult asyncRegApp(in String strPkgName);
}