package com.tencent.tws.qdozeservice;
import com.tencent.tws.qdozeservice.IDozeModeListener;
import com.tencent.tws.qdozeservice.IScreenStatusChangedListener;

interface IDozeService
{
	boolean isDozeModeSupported();
	boolean registerDozeModeListener(IDozeModeListener listener, long timeout, int freq);
	boolean unregisterDozeModeListener(IDozeModeListener listener);
	oneway void dozeActionDone(int serial);
	void ensureScreenOn(IBinder token, String tag, boolean on);
	boolean registerDozeModeListenerWithPriority(IDozeModeListener listener, long timeout, int freq, int priority);
	boolean registerCompletelyScreenOffListener(IScreenStatusChangedListener listener);
	boolean unregisterCompletelyScreenOffListener(IScreenStatusChangedListener listener);
}